Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.crypto.fips.provider
Class SystemSigner

    java.lang.Object
      |
      +--java.security.Identity
            |
            +--java.security.Signer
                  |
                  +--com.ibm.crypto.fips.provider.SystemSigner

All Implemented Interfaces:
  AlgorithmStatus, java.security.Principal, java.io.Serializable

public class SystemSigner
extends java.security.Signer
implements AlgorithmStatus

SunSecurity signer. Like SystemIdentity, it has a trust bit, which can be set by SunSecurity classes, and a set of accessors for other classes in sun.security.*.

Version:
  1.27
Author:
  Benjamin Renaud
See Also:
  Serialized Form

Constructor Summary
`SystemSigner(java.lang.String name)` Construct a signer with a given name.
`SystemSigner(java.lang.String name, java.security.IdentityScope scope)` Construct a signer with a name and a scope.

Method Summary
`boolean` | `isFipsApproved()` Module identifies if the cryptographic operation (algorithm) is FIPS certified
`boolean` | `isTrusted()` Returns true if this signer is trusted.
`java.lang.String` | `toString()`

Methods inherited from class java.security.Signer
`getPrivateKey, setKeyPair`

Methods inherited from class java.security.Identity
`addCertificate, certificates, equals, getInfo, getName, getPublicKey, getScope, hashCode, identityEquals, removeCertificate, setInfo, setPublicKey, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SystemSigner

    public SystemSigner(java.lang.String name)

  Construct a signer with a given name.

### SystemSigner

    public SystemSigner(java.lang.String name,
                        java.security.IdentityScope scope)
                 throws java.security.KeyManagementException

  Construct a signer with a name and a scope.
  Parameters:
    `name` - the signer's name.
    `scope` - the scope for this signer.

Method Detail

### isFipsApproved

    public boolean isFipsApproved()

  Description copied from interface: `AlgorithmStatus`
  Module identifies if the cryptographic operation (algorithm) is FIPS certified
  Specified by:
    `isFipsApproved` in interface `AlgorithmStatus`
  See Also:
    `AlgorithmStatus.isFipsApproved()`

### isTrusted

    public boolean isTrusted()

  Returns true if this signer is trusted.
  Throws:
    `FIPSRuntimeException` - if SelfTest.isFipsRunnable returns false.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.security.Signer`
  Throws:
    `FIPSRuntimeException` - if SelfTest.isFipsRunnable returns false.

Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD